/*
*  @description: 订单数据字典
  @Modifier: 张慢慢
  @routerPath:
  @date: 2021/11/26
  * */
/* api*/
export const orderGrounpMixin = {
  data() {
    return {
      // 订单状态
      orderStatus: [
        { typename: '被驳回', typecode: '00' },
        { typename: '待审核', typecode: '01' },
        { typename: '待发货', typecode: '02' },
        { typename: '待收货', typecode: '03' },
        { typename: '采购人已取消', typecode: '04' },
        { typename: '交易成功', typecode: '10' },
        { typename: '供应商取消', typecode: '13' }
      ],
      // 售后状态
      statusList: [
        { code: '00', value: '待处理' },
        { code: '01', value: '退货中' },
        { code: '02', value: '已取消' },
        { code: '03', value: '拒绝退货' },
        { code: '04', value: '未收到退货' },
        { code: '05', value: '买家退货' },
        { code: '06', value: '卖家确认并发货' },
        { code: '09', value: '卖家确认退货完毕' },
        { code: '10', value: '买家确认换货结束' }
      ],
      options: [
        {
          value: '大小/尺寸与商品描述不符',
          label: '大小/尺寸与商品描述不符'
        },
        {
          value: '材质面料与商品描述不符',
          label: '材质面料与商品描述不符'
        },
        {
          value: '日期/年份不符',
          label: '日期/年份不符'
        },
        {
          value: '做工瑕疵问题',
          label: '做工瑕疵问题'
        },
        {
          value: '质量问题',
          label: '质量问题'
        },
        {
          value: '少件(含缺少配件)',
          label: '少件(含缺少配件)'
        },
        {
          value: '假冒品牌',
          label: '假冒品牌'
        },
        {
          value: '未按约定时间发货',
          label: '未按约定时间发货'
        },
        {
          value: '卖家发错货',
          label: '卖家发错货'
        }
      ]
    }
  },
  filters: {
    manageFormat(val) {
      let text = ''
      switch (val) {
        case '01':
          text = '待审核'
          break
        case '00':
          text = '已驳回'
          break
        default:
          text = '审核通过'
          break
      }
      return text
    },
    formatStatus(val) {
      let text = ''
      switch (val) {
        case '01':
          text = '待审核'
          break
        case '02':
          text = '待发货'
          break
        case '03':
          text = '待收货'
          break
        case '04':
          text = '已取消'
          break
        case '010':
          text = '待确认'
          break
        case '00':
          text = '被驳回'
          break
        case '10':
          text = '交易完成'
          break
        case '13':
          text = '已取消'
          break
      }
      return text
    }
  },
  created() {
  },
  methods: {
    // 字典请求
    //   getGroupType() {
    //     this.$store.dispatch('getGroupType', this.dictionaryType).then((data) => {
    //       // 遍历key存储相应的数据
    //       for (const key in data.bidTypeData) {
    //         /* 是否有数据*/
    //         if (data.bidTypeData[key]) {
    //           this[key] = data.bidTypeData[key]
    //         }
    //       }
    //     })
    //   }
  }
}

